
<!-- Warning: This file has been autogenerated by tools/makedoc.py. Manual edits will be overwritten. -->
<html>
    <head>
        <title>freesmartphone.org Proximity Interface</title>
        <link rel="stylesheet" type="text/css" href="http://git.freesmartphone.org/?p=specs.git;a=blob_plain;f=html/style.css;hb=HEAD" />
    </head>
    <body>
    <div class="topbox">freesmartphone.org Framework DBus Interface Specification</div>


<h1>org.freesmartphone.Device.Proximity</h1><h2>Description</h2>
<p>This interface provides access to a proximity device.</p>
<h2>Namespace</h2>
<p><tt>org.freesmartphone.Device.Proximity</tt></p>
<h2>Methods</h2><ul>
<li><a href="#GetProximity">GetProximity</a></li>
</ul>
<h2>Signals</h2><ul>
<li><a href="#Proximity">Proximity</a></li>
</ul>
<h2>Properties</h2><i>None</i>
<h2>Errors</h2><i>None</i>
<h1>Methods</h1><h3><a name="GetProximity">GetProximity</a> ( ) &rarr; ii</h3>
<p><i>Description:</i> Get the last percentage value of the proximity device (most probably 0 or 100), or -1 if unknown. </p><h4>Returns</h4><i>i: proximity</i><p>The last proximity. </p><i>i: epoch</i><p>Timestamp indicating when this value has been received. </p>
<h1>Signals</h1><h3><h3><a name="Proximity">Proximity</a> ( i )</h3><p><i>Description:</i> Sent, when the proximity changes. </p><h4>Parameters</h4><i>i: proximity</i><p>The new proximity in percentage (most probably 0 or 100). </p></h3>

    <hr/>
    <small>
    | Specified 2008-2012 by the <a href="http://www.freesmartphone.org">Freesmartphone.org</a> team. | Join us and discuss further drafts smartphones-standards (at) linuxtogo (dot) org
    </small>
    <hr/>
    </body>
</html>

